// priority 5
// Script creado por Nebula240
// Esto es dentro de todo un script intermedio
// Si buscas aprender un poco contactame por discord
// En el discord oficial de The Cube Reborn
onEvent('recipes', event => { 
    event.remove({ output: 'iceandfire:fire_stew'})
    event.remove({ output: 'iceandfire:frost_stew' })
    event.remove({ output: 'iceandfire:lightning_stew' })
    event.remove({output: 'magicfeather:magicfeather'})
    event.remove({output: 'netherite_plus:netherite_shield'})
    //Reemplazos
    event.replaceOutput({type: 'minecraft:blasting', input: 'iceandfire:copper_ore'}, 'iceandfire:copper_ingot', 'create:copper_ingot')
    event.replaceOutput({type: 'minecraft:smelting', input: 'iceandfire:copper_ore'}, 'iceandfire:copper_ingot', 'create:copper_ingot')
    event.replaceOutput({type: 'minecraft:blasting', input: 'cavesandcliffs:copper_ore'}, 'cavesandcliffs:copper_ingot', 'create:copper_ingot')
    event.replaceOutput({type: 'minecraft:smelting', input: 'cavesandcliffs:copper_ore'}, 'cavesandcliffs:copper_ingot', 'create:copper_ingot')
    event.replaceInput({ mod: 'iceandfire' }, 'iceandfire:copper_ingot', 'create:copper_ingot'),
    event.replaceInput({ mod: 'cavesandcliffs' }, 'cavesandcliffs:copper_ingot', 'create:copper_ingot'),
    //Recetas
    event.shaped('iceandfire:fire_stew', 
        [' E ',
        'RLR',
        ' B '
    ], {
        E: 'eyeofdragons:eye_of_firedragon',
        R: 'minecraft:blaze_rod',
        B: 'minecraft:bowl',
        L: 'iceandfire:fire_lily'
    });
    event.shaped('iceandfire:frost_stew', 
    [' E ',
    'RLR',
    ' B '
    ], {
        E: 'eyeofdragons:eye_of_icedragon',
        R: 'aoa3:ice_crystal',
        B: 'minecraft:bowl',
        L: 'iceandfire:frost_lily'
    });
    event.shaped('iceandfire:lightning_stew', 
    [' E ',
    'RLR',
    ' B '
    ], {
    E: 'eyeofdragons:eye_of_lightningdragon',
    R: 'minecraft:chorus_flower',
    B: 'minecraft:bowl',
    L: 'iceandfire:lightning_lily'
    });
    event.shaped('aoa3:exp_flask',
    [' G ',
     'III',
     'AAA'
    ], {
         G: 'minecraft:gold_block',
         I: 'minecraft:gold_ingot',
         A: 'aoa3:ancient_rock'
     });
    event.shaped('magicfeather:magicfeather',
    ['ASB',
    ' E ',
    'CSD'
    ], {
        A: 'minecraft:feather',
        B: 'iceandfire:stymphalian_bird_feather',
        C: 'alexsmobs:roadrunner_feather',
        D: 'iceandfire:amphithere_feather',
        E: 'minecraft:elytra',
        S: 'minecraft:shulker_shell'
    });
    event.shaped('securitycraft:mine',
    [' R ',
    'RFR',
    'WTW'], {
        R: 'minecraft:redstone',
        F: 'minecraft:fire_charge',
        W: 'minecraft:heavy_weighted_pressure_plate',
        T: 'minecraft:tnt'
    });
    event.shaped('aoa3:erebon_scythe',
    [
        'III',
        ' S ',
        'S  '
    ], {
 
        S: '#forge:rods',
        I: 'relics:firesteel_ingot'
    });
    event.shaped('aoa3:luxon_scythe',
    [
        'III',
        ' S ',
        'S  '
    ], {
 
        S: '#forge:rods',
        I: 'relics:aquasteel_ingot'
    });
    event.shaped('aoa3:selyan_scythe',
    [
        'III',
        ' S ',
        'S  '
    ], {
 
        S: '#forge:rods',
        I: 'relics:terrasteel_ingot'
    });
    event.shaped('aoa3:pluton_scythe',
    [
        'III',
        ' S ',
        'S  '
    ], {
 
        S: '#forge:rods',
        I: 'relics:airsteel_ingot'
    });
    event.shaped('relics:aquasteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:water_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
    event.shaped('relics:terrasteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:compass_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
    event.shaped('relics:airsteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:compass_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
    event.shaped('relics:firesteel_ingot',
    [
        'PRP',
        'RIR',
        'PRP'
    ], {
        P: 'aoa3:fire_rune_post',
        I: 'minecraft:netherite_ingot',
        R: 'aoa3:charged_runium_chunk'
    });
})
